#include <bits/stdc++.h>

using namespace std;

int main() {
    int n, q, jednaki, manji, veci;
    cin >> n >> q;
    int a[n];
    int b[q];
    for(int i = 0; i < n; i++) {
        cin >> a[i];
    }
    for(int i = 0; i < q; i++) {
        cin >> b[i];
    }
    sort(a, a + n);
    for(int i = 0; i < q; i++) {
        int x = b[i];
        int sum = 0;
        auto range_jednakih = equal_range(a, a + n, x);
        int prvi = range_jednakih.first - a;
        int drugi = range_jednakih.second - a;
        jednaki = drugi - prvi;
        manji = prvi;
        if(veci < manji) {
            manji--;
        }
        veci = n - drugi;
        sum = abs(veci - manji);
        sum += 1;
        sum -= jednaki;

        cout << sum << "\n";
    }

    return 0;
}